DATA-CATALOG_JOB_CREATE(1)

NAME
data-catalog_job_create -

DESCRIPTION

Creates a new job.

USAGE

oci data-catalog job create [OPTIONS]

REQUIRED PARAMETERS

--catalog-id [text]

    Unique catalog identifier.

--display-name [text]

    A user-friendly display name. Does not have to be unique, and it's changeable. Avoid entering confidential information.

--job-definition-key [text]

    The unique key of the job definition that defined the scope of this job.

OPTIONAL PARAMETERS

--connection-key [text]

    The key of the connection used by the job. This connection will override the default connection specified in the associated job definition. All executions will use this connection.

--description [text]

    Detailed description of the job.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--schedule-cron-expression [text]

    Schedule specified in the cron expression format that has seven fields for second, minute, hour, day-of-month, month, day-of-week, year. It can also include special characters like * for all and ? for any. There are also pre-defined schedules that can be specified using special strings. For example, @hourly will run the job every hour.

--time-schedule-begin [datetime]

    Date that the schedule should be operational. An RFC3339 <https://tools.ietf.org/html/rfc3339> formatted datetime string.

    The following datetime formats are supported:

  UTC with milliseconds

Format: YYYY-MM-DDTHH:mm:ss.sssTZD
Example: 2017-09-15T20:30:00.123Z

  UTC without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T20:30:00Z

  UTC with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T20:30Z

  Timezone with milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00.456-08:00, 2017-09-15T12:30:00.456-0800

  Timezone without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00-08:00, 2017-09-15T12:30:00-0800

  Timezone with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T12:30-08:00, 2017-09-15T12:30-0800

  Short date and time

The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

Format: 'YYYY-MM-DD HH:mm' or "YYYY-MM-DD HH:mm"
Example: '2017-09-15 17:25'

  Date Only

This date will be taken as midnight UTC of that day

Format: YYYY-MM-DD
Example: 2017-09-15

  Epoch seconds

Example: 1412195400

--time-schedule-end [datetime]

    Date that the schedule should end from being operational. An RFC3339 <https://tools.ietf.org/html/rfc3339> formatted datetime string.

    The following datetime formats are supported:

  UTC with milliseconds

Format: YYYY-MM-DDTHH:mm:ss.sssTZD
Example: 2017-09-15T20:30:00.123Z

  UTC without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T20:30:00Z

  UTC with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T20:30Z

  Timezone with milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00.456-08:00, 2017-09-15T12:30:00.456-0800

  Timezone without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00-08:00, 2017-09-15T12:30:00-0800

  Timezone with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T12:30-08:00, 2017-09-15T12:30-0800

  Short date and time

The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

Format: 'YYYY-MM-DD HH:mm' or "YYYY-MM-DD HH:mm"
Example: '2017-09-15 17:25'

  Date Only

This date will be taken as midnight UTC of that day

Format: YYYY-MM-DD
Example: 2017-09-15

  Epoch seconds

Example: 1412195400

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle